Настройка сервера Linux и Windows
ITShaman - Сайт для АЙТИшников!
"Машины должны работать. Люди должны думать."
(девиз компании IBM)

Устанавливаем Adobe Flash последней версии в Ubuntu

Устанавливаем Adobe Flash последней версии в Ubuntu

Одной из проблем современного Интернета считается нехватка оптимизированного плагина для браузеров, который обрабатывает Flash. Современные тенденции сайтостроения все больше и больше задействуют Flash-технологии, которые тем самым изрядно нагружают компьютеры.

Когда-то давно, компьютеры, на которых требовалось только выходить в Интернет, оснащались комплектующими с минимальными системными характеристиками. На сегодняшний день для комфортной работы любого браузера нужно как минимум 512 Мб оперативной памяти и частоты процессора в 1ГГц, так как только один процесс браузера может потреблять порядка 300 Мб ОЗУ.

Частично решить сложившуюся проблему позволяет отключение обработки flash-элементов в браузерах пользователей, но пользователь тогда теряет возможность видеть полностью все элементы сайта, которые хочет показать вебмастер или вообще не увидеть некоторые сайты, полностью сделанных на flash.

Самым распространенным плагином для обработки flash является Adobe Flash. Есть еще несколько его аналогов, но создать ему существенную конкуренцию они пока не могут.

Всем пользователям остается надеяться, что компания Adobe когда-нибудь доведет до совершенства свой продукт и им удастся снизить планку системных требований для компьютера, которому суждено открывать любые сайты сделанные по современным технологиям. Чтобы не пропустить наступление светлого будущего необходимо использовать плагин Adobe Flash только самой последней версии.

Пользователи операционной системы Ubuntu имеют замечательную возможность обновлять версию плагина автоматически. Компания Adobe не поддерживает репозиторий для Ubuntu, поэтому плагин для флеш Adobe Flash включен в официальный репозиторий под названием flashplugin-nonfree. Устанавливается командой:

# sudo apt-get install flashplugin-nonfree

Но версия этого плагина не всегда является самой последней, поэтому использовать рекомендуется пакет adobe-flashplugin, который содержится в неофициальном репозитории archive.canonical.com/ubuntu, который поддерживается Canonical.

# sudo apt-get install adobe-flashplugin

Оба пакета (flashplugin-nonfree и adobe-flashplugin) являются одним и тем же плагином для флеш от Adobe. Различия между ними заключается лишь в версии. В пакет adobe-flashplugin включается более новая версия, чем в flashplugin-nonfree

После установки, браузеры автоматически "подхватят" и будут использовать новый плагин от компании Adobe.

Русскоязычный Интернет идет по пути англоязычного. Постепенная социализация интернета делает его более привлекательным для все большего количества людей. Различные социальные сети постепенно набирают свою аудиторию. По мимо этого такие web-сервисы как Статусы в контакте начинают быть востребованными. Такая тенденция выгодна всем: пользователям сети и интернет бизнесу.

Статья опубликована 18.09.2010 · Автор статьи: Зюзгин Иван
Статья относится к opera, ubuntu, браузер, настройка, удобство
Случайные 7 статей:
  1. Как установить новый пакет значков в Ubuntu?
  2. Автоматически загружаем новую версию антивируса Dr.Web CureIt!
  3. BolgenOS - новая операционная система
  4. Изменение цвета стандартных уведомлений Ubuntu с помощью Notifyosdconfig
  5. Скрипт Winetricks или доводим Wine до ума
  6. Горячие клавиши Opera
  7. Как из Windows XP Home сделать Windows XP Professional?
Комментарии [14]
  1. Sunder #
    18 сентября, 12:36

    Ubuntu 10.04
    Зашёл браузером на acrchive.canonical.com – там adobe-flashplagin такой же версии как и установленный flashplagin-nonfree в системе. Плюс там пакеты только для i386 и x86-64 системы этот пакет вообще не видят.

    Кроме того если у вас Chrome то он тащит с собой собственный плагин и на системные ему глубоко наплевать.

  2. Сергей Луконин #
    18 сентября, 14:11

    Хм… Самый последний вообще-то здесь: http://labs.adobe.com/technologies/flashplayer10/
    Но там не релизы, а то, что в разработке. Хотя я пользуюсь им, нормально.

  3. Роман #
    18 сентября, 19:30

    > который поддерживается Cannonical.
    А рядом адрес реп. и там одна n.
    Поправьте :)

  4. Mut@NT #
    19 сентября, 19:57

    Sunder: Зашёл браузером на acrchive.canonical.com – там adobe-flashplagin такой же версии как и установленный flashplagin-nonfree в системе. Плюс там пакеты только для i386 и x86-64 системы этот пакет вообще не видят.

    Мои выводы команд:
    login@mutant:~$ apt-cache policy adobe-flashplugin
    adobe-flashplugin:
    Установлен: 10.1.82.76-1lucid1
    Кандидат: 10.1.82.76-1lucid1
    Таблица версий: *** 10.1.82.76-1lucid1 0
    500 http://archive.canonical.com/ubuntu/ lucid/partner Packages
    100 /var/lib/dpkg/status

    login@mutant:~$ apt-cache policy flashplugin-nonfree
    flashplugin-nonfree:
    Установлен: (отсутствует)
    Кандидат: 10.0.45.2ubuntu1
    Таблица версий:
    10.0.45.2ubuntu1 0
    500 http://archive.ubuntu.com/ubuntu/ lucid/multiverse Packages

    Сергей Луконин: Хм… Самый последний вообще-то здесь: http://labs.adobe.com/technologies/flashplayer10/ Но там не релизы, а то, что в разработке. Хотя я пользуюсь им, нормально.

    Спасибо за ссылку, добавлю в статью

    Роман: А рядом адрес реп. и там одна n. Поправьте :)

    Поправил, спасибо.

  5. Dima #
    8 ноября, 13:02

    A flashplugin-install что-за зверь? Чем отличается,подскажите? В центре приложений убунты 10.1110 значится как модуль для установки адоба,только в чем же отличие от вышеперечисленных и какой из них лучше?

  6. Mut@NT #
    10 ноября, 07:46

    Dima: A flashplugin-install что-за зверь? Чем отличается,подскажите? В центре приложений убунты 10.1110 значится как модуль для установки адоба,только в чем же отличие от вышеперечисленных и какой из них лучше?

    Какая-то у Вас непонятная версия Ubuntu? Пакет называется flashplugin-installer и скорее всего необходим для создания структуры директория и последующего запуска скрипта для установки обычного плагина. Это все нужно для того, чтобы плагин работал в различных браузеров
    Лучше не забивать этим голову, все работает и без этого

  7. pefon #
    22 декабря, 19:18

    Вот что у меня получилось после выполнения команды: sudo apt-get install adobe-flashplugin

    Download done.
    Flash Plugin installed.

    Настраивается пакет flashplugin-nonfree (10.1.102.65ubuntu0.10.04.1) …
    alexei@alexei-desktop:~$ sudo apt-get install adobe-flashplugin
    Чтение списков пакетов… Готово
    Построение дерева зависимостей
    Чтение информации о состоянии… Готово
    Пакет adobe-flashplugin недоступен, но упомянут в списке зависимостей другого пакета.
    Это может означать, что пакет отсутствует, устарел, или доступен из источников, не упомянутых в sources.list
    E: Для пакета adobe-flashplugin не найдены кандидаты на установку

  8. Mut@NT #
    13 января, 21:24

    pefon: Вот что у меня получилось после выполнения команды: sudo apt-get install adobe-flashplugin
    Download done.
    Flash Plugin installed.
    Настраивается пакет flashplugin-nonfree (10.1.102.65ubuntu0.10.04.1) …
    alexei@alexei-desktop:~$ sudo apt-get install adobe-flashplugin
    Чтение списков пакетов… Готово
    Построение дерева зависимостей
    Чтение информации о состоянии… Готово
    Пакет adobe-flashplugin недоступен, но упомянут в списке зависимостей другого пакета.
    Это может означать, что пакет отсутствует, устарел, или доступен из источников, не упомянутых в sources.list
    E: Для пакета adobe-flashplugin не найдены кандидаты на установку

    Скорее всего у Вас не подключен репозиторий:
    http://archive.canonical.com/ubuntu/ maverick/partner
    Подключить можно в Synaptic

  9. akaSamael #
    23 января, 03:34

    Непойму, нафига такие танцы с бубном…. хм…

    $ sudo aptitude install flashplugin-installer

    и все :0)

  10. dfcafd fdgdfgdf #
    8 июля, 19:43

    невключается видео всети

  11. demettriss #
    12 февраля, 02:32

    demettriss@jerex:~$ sudo aptitude install flashplugin-installer
    [sudo] password for demettriss:
    sudo: aptitude: command not found
    demettriss@jerex:~$

  12. Mut@NT #
    18 февраля, 22:14

    demettriss: demettriss@jerex:~$ sudo aptitude install flashplugin-installer
    [sudo] password for demettriss:
    sudo: aptitude: command not found
    demettriss@jerex:~$

    Ставьте командой:
    sudo apt-get install flashplugin-installer

  13. coman #
    19 сентября, 12:35

    Если Ubuntu стоит за прокси, то устанавливается, как в этой статье: http://joyit.ru/administrirovanie/20-flashplugin-installer-ubuntu-proxy.html

  14. дима #
    8 октября, 16:12

    пожалуйста зогрузите мне abobe flash player

Имя (обязательное поле)
e-mail (обязательное поле) Сайт
Текст комментария:
IT-новости
Популярное
Облако тегов
При цитировании документа активная ссылка на сайт обязательна.
Администрирование и настройка серверов, рабочих станций на базе ОС Linux и Windows. www.itshaman.ru - Настройка Linux и Windows © 2009 - 2021